## ChamplainErrorTileRenderer

ChamplainErrorTileRenderer — A renderer that renders error tiles independently of input data

## Functions

ChamplainErrorTileRenderer * | champlain_error_tile_renderer_new ()
void | champlain_error_tile_renderer_set_tile_size ()
guint | champlain_error_tile_renderer_get_tile_size ()

## Properties

guint | tile-size | Read / Write

## Types and Values

struct | ChamplainErrorTileRenderer

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ChamplainRenderer
                ╰── ChamplainErrorTileRenderer

## Description

ChamplainErrorTileRenderer always renders error tiles (tiles that indicate that the real tile could not be loaded) no matter what input data is used.

## Functions

### champlain_error_tile_renderer_new ()

    ChamplainErrorTileRenderer *
    champlain_error_tile_renderer_new (guint tile_size);

Constructor of a ChamplainErrorTileRenderer.

#### Parameters

tile_size | the size of the rendered error tile |

#### Returns

a constructed ChamplainErrorTileRenderer

Since 0.8

### champlain_error_tile_renderer_set_tile_size ()

    void
    champlain_error_tile_renderer_set_tile_size
                                   (ChamplainErrorTileRenderer *renderer,
                                    guint size);

Sets the size of the rendered error tile.

#### Parameters

renderer | a ChamplainErrorTileRenderer |
size | the size of the rendered error tiles |

Since 0.8

### champlain_error_tile_renderer_get_tile_size ()

    guint
    champlain_error_tile_renderer_get_tile_size
                                   (ChamplainErrorTileRenderer *renderer);

Gets the size of the rendered error tiles.

#### Parameters

renderer | a ChamplainErrorTileRenderer |

#### Returns

the size of the rendered error tiles

Since 0.8

## Types and Values

### struct ChamplainErrorTileRenderer

    struct ChamplainErrorTileRenderer;

The ChamplainErrorTileRenderer structure contains only private data and should be accessed using the provided API

Since 0.8

## Property Details

### The `“tile-size”` property

      “tile-size”                guint

The size of the rendered tile.

Flags: Read / Write

Allowed values: <= G_MAXLONG

Default value: 256

Since 0.8